VST 3 SDK: UMPMessage Struct Reference
Author: Steinberg

VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | Static Protected Attributes | List of all members
UMPMessage Struct Reference

`#include <ump.h>`

Inheritance diagram for UMPMessage:

## Public Member Functions
__inline__ | __attribute__ ((__always_inline__)) const expr MessageType type() const
__inline__ | __attribute__ ((__always_inline__)) const expr size_t messageWordCount() const
__inline__ | __attribute__ ((__always_inline__)) const expr uint8_t group() const
__inline__ | __attribute__ ((__always_inline__)) const expr uint8_t byte3_7bits() const
__inline__ | __attribute__ ((__always_inline__)) const expr uint8_t byte4_7bits() const
__inline__ | __attribute__ ((__always_inline__)) const expr uint8_t byte1() const
__inline__ | __attribute__ ((__always_inline__)) const expr uint8_t byte2() const
__inline__ | __attribute__ ((__always_inline__)) const expr uint8_t byte3() const
__inline__ | __attribute__ ((__always_inline__)) const expr uint8_t byte4() const

## Public Attributes
uint32_t | data

## Protected Member Functions
template<typename T, size_t pos, size_t bits>
__inline__ | __attribute__ ((__always_inline__)) const expr T bitMask() const
template<typename T, size_t pos, size_t bits>
__inline__ | __attribute__ ((__always_inline__)) const expr T value(T data) const

## Static Protected Attributes
static constexpr std::array | wordCounts

## Member Function Documentation

## ◆ __attribute__() [1/11]

__inline__ __attribute__ | ( | (__always_inline__) |  | ) | const
| inline

## ◆ __attribute__() [2/11]

__inline__ __attribute__ | ( | (__always_inline__) |  | ) | const
| inline

## ◆ __attribute__() [3/11]

__inline__ __attribute__ | ( | (__always_inline__) |  | ) | const
| inline

## ◆ __attribute__() [4/11]

__inline__ __attribute__ | ( | (__always_inline__) |  | ) | const
| inline

## ◆ __attribute__() [5/11]

__inline__ __attribute__ | ( | (__always_inline__) |  | ) | const
| inline

## ◆ __attribute__() [6/11]

__inline__ __attribute__ | ( | (__always_inline__) |  | ) | const
| inline

## ◆ __attribute__() [7/11]

__inline__ __attribute__ | ( | (__always_inline__) |  | ) | const
| inline

## ◆ __attribute__() [8/11]

__inline__ __attribute__ | ( | (__always_inline__) |  | ) | const
| inline

## ◆ __attribute__() [9/11]

__inline__ __attribute__ | ( | (__always_inline__) |  | ) | const
| inline

## ◆ __attribute__() [10/11]

template<typename T, size_t pos, size_t bits>

__inline__ __attribute__ | ( | (__always_inline__) |  | ) | const
| inlineprotected

## ◆ __attribute__() [11/11]

template<typename T, size_t pos, size_t bits>

__inline__ __attribute__ | ( | (__always_inline__) |  | ) | const
| inlineprotected

## Member Data Documentation

## ◆ data

uint32_t data

## ◆ wordCounts

std::array wordCounts
| staticconstexprprotected

Initial value:
= {1u, 1u, 1u, 2u, 2u, 4u, 1u, 1u,
2u, 2u, 2u, 3u, 3u, 4u, 4u, 4u}
Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.